View Issue Details

IDProjectCategoryView StatusLast Update
0012183MediaMonkey (current)Synchronizationpublic2014-09-23 23:13
ReporterLudek Assigned To 
PriorityimmediateSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version4.1.5 
Target Version4.1.5Fixed in Version4.1.5 
Summary0012183: iOS8 sync fails for some users
DescriptionAs reported by one user here:
http://www.mediamonkey.com/forum/viewtopic.php?f=12&t=77424#p395535

iOS8 sync works fine on his iPhone 5, but fails on iPod Touch 5.
Ticket ID: KMN-575-65843
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=77874
WFQ-612-13499
TagsNo tags attached.
Fixed in build1714

Relationships

related to 0012195 resolvedLudek iPhone 6 sync fails 

Activities

Ludek

2014-09-17 13:33

developer   ~0040506

Last edited: 2014-09-19 11:18

View 8 revisions

Based on the log from KMN-575-65843 there is problem that we are getting XML plist instead of binnary:
Lines "Warning: Should not getXML plist, XML list support is disabled" in the log

I've just upgraded my iTouch 5 to iOS8 (today's official release) and synced 500 tracks without issues

Asked more info via support tickets...

Ludek

2014-09-19 12:24

developer   ~0040518

Last edited: 2014-09-19 12:25

View 3 revisions

I also encountered random crash (on my iTouch 5G) in the middle of syncing of thousands of tracks. Debugging...

Ludek

2014-09-19 14:56

developer   ~0040519

Last edited: 2014-09-19 14:57

View 2 revisions

Fixed in build 4.1.5.1714

I shared the fixed iPhoneCalc.dll ( http://www.happymonkeying.com/beta/iOS8/iPhoneCalc.dll ) and asked users to confirm the fix via eSupport tickets.

Ludek

2014-09-19 18:20

developer   ~0040521

Re-opened, the user from ticket WFQ-612-13499 is still observing the issue

Ludek

2014-09-22 06:10

developer   ~0040526

Last edited: 2014-09-22 06:12

View 3 revisions

Fixed in 1714 and confirmed by the users by posting fixed DLL.

According the user from ticket KMN-575-65843 : Tested the new DLL and it seems to work perfectly. I've been able to sync to an ipod touch and an ipad air both running ios 8 and there has not yet been a problem.

peke

2014-09-23 23:13

developer   ~0040539

Verified 1714 iPhone 4S